This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 856581 - [manage-domains] Spurious warning message when adding ipa domain. [TEXT]
[manage-domains] Spurious warning message when adding ipa domain. [TEXT]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.1.0
Assigned To: Yair Zaslavsky
Pavel Stehlik
infra
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 07:07 EDT by Andrew Cathrow
Modified: 2016-02-10 14:01 EST (History)
7 users (show)

See Also:
Fixed In Version: si19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Cathrow 2012-09-12 07:07:44 EDT
Tested in si18

When adding an IPA domain using manage-domains I got the following warning

"WARNING: No permissions were added to the Engine. Login either with the internal admin user or with another configured user.?

Followed by a "success" message
"Successfully added domain ......."

The logs show


2012-09-12 04:57:52,788 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomains] Creating kerberos configuration for domain(s): rhev.redhat.com
2012-09-12 04:57:52,895 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomains] Successfully created kerberos configuration for domain(s): rhev.redhat.com
2012-09-12 04:57:52,895 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomains] Testing kerberos configuration for domain: rhev.redhat.com
2012-09-12 04:57:59,234 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomains] Successfully tested kerberos configuration for domain: rhev.redhat.com
2012-09-12 04:57:59,255 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomains] Applying kerberos configuration
2012-09-12 04:57:59,277 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for AdUserName to rhev.redhat.com:admin@RHEV.REDHAT.COM
2012-09-12 04:58:01,784 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for AdUserPassword to rhev.redhat.com:********
2012-09-12 04:58:04,033 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for LdapServers to 
2012-09-12 04:58:06,507 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for AdUserId to rhev.redhat.com:6d39ec20-f096-11e1-a798-525400ecf885
2012-09-12 04:58:08,780 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for LDAPSecurityAuthentication to rhev.redhat.com:GSSAPI
2012-09-12 04:58:10,043 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for DomainName to rhev.redhat.com
2012-09-12 04:58:11,571 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomainsDAOImpl] Setting value for LDAPProviderTypes to rhev.redhat.com:ipa
Comment 7 Pavel Stehlik 2012-09-14 13:39:04 EDT
Successfully added domain XYZ. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).

This is indeed false. Used with addPermissions, however once the service is restarted, browser offers only 'internal' domain anyway.
Comment 11 Yair Zaslavsky 2012-09-19 11:28:08 EDT
Upstream patch:

http://gerrit.ovirt.org/#/c/8062/1

Note You need to log in before you can comment on or make changes to this bug.